// CDIPSwitchTestDlg.h : header file
//

#pragma once

class CMyDIPSwitch : public CWnd
{
public:

	void CreateControl(CWnd* pParentWnd, CRect& rc, CString stInitState)
	{
		// m_slider1.Create(DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID);
		// m_slider2.Create(DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID);
		// ...
		// SetState(stInitState);

		int nSliderWidth = 40;

		m_slider1.Create(TBS_NOTICKS | TBS_BOTH | TBS_VERT | WS_CHILD | WS_VISIBLE, CRect(CPoint(rc.left, rc.top), CSize(nSliderWidth, rc.bottom-rc.top)), pParentWnd, -1);
		m_slider2.Create(TBS_NOTICKS | TBS_BOTH | TBS_VERT | WS_CHILD | WS_VISIBLE, CRect(CPoint(rc.left+nSliderWidth, rc.top), CSize(nSliderWidth, rc.bottom-rc.top)), pParentWnd, -1);

		m_slider1.SetRange(0,1);
		m_slider2.SetRange(0,1);
	}
	


private:

	CSliderCtrl m_slider1;
	CSliderCtrl m_slider2;
	//...
};


// CCDIPSwitchTestDlg dialog
class CCDIPSwitchTestDlg : public CDialog
{
public:
	CCDIPSwitchTestDlg(CWnd* pParent = NULL);	// standard constructor
	enum { IDD = IDD_CDIPSWITCHTEST_DIALOG };
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

private:
	CMyDIPSwitch m_wndDIPSwitch1;
	CMyDIPSwitch m_wndDIPSwitch2;
	//CMyDIPSwitch m_wndDIPSwitch3;
	//CMyDIPSwitch m_wndDIPSwitch4;

};
